Subject: bug#21695: 25.0.50; Change most occurrences of `setq' in Emacs manual to `customize-set-variable'? Really?

From: Richard Stallman <[email-masked]>
Date: Fri, 17 Sep 2021 20:30:48 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > I probably should have said "that the definitions of the variables have
  > been written carefully" so nobody would have come to a conclusion like

  >  > so that they DTRT if the
  >  > user sets one with setq in an init file.

  > which is not what I had in mind.

I am now not sure what you had in mind.
However, we seem to have reached conflicting conclusions.
You say that

 > Then it seems to say that setting one of these variable with setq (in
 > an init file?) is almost surely a bug.

but everything else in this discussion seems to support the opposite
conclusion: setting one of these variables with setq in an init file,
in the usual simple case (you haven't loaded the definition yet), is
perfectly ok.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)